Package com.google.gwt.core.ext.typeinfo

## Interface JAbstractMethod

- All Superinterfaces:
    `HasAnnotations`, `HasTypeParameters`
  All Known Subinterfaces:
    `JAnnotationMethod`, `JConstructor`, `JMethod`

      public interface JAbstractMethod
      extends HasAnnotations, HasTypeParameters

  Common interface for `JMethod` and `JConstructor`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JParameter` | `findParameter​(java.lang.String name)` |
    `JClassType` | `getEnclosingType()` | Gets the type in which this method or constructor was declared.
    `JType[]` | `getErasedParameterTypes()` |
    `java.lang.String` | `getJsniSignature()` | Returns a string containing a JSNI reference to the method.
    `java.lang.String` | `getName()` |
    `JParameter[]` | `getParameters()` |
    `JType[]` | `getParameterTypes()` |
    `java.lang.String` | `getReadableDeclaration()` |
    `JClassType[]` | `getThrows()` |
    `JAnnotationMethod` | `isAnnotationMethod()` |
    `JConstructor` | `isConstructor()` |
    `boolean` | `isDefaultAccess()` |
    `JMethod` | `isMethod()` |
    `boolean` | `isPrivate()` |
    `boolean` | `isProtected()` |
    `boolean` | `isPublic()` |
    `boolean` | `isVarArgs()` |

    - ### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations

      `getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

    - ### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasTypeParameters

      `getTypeParameters`

- - ### Method Detail

    - #### findParameter

          JParameter findParameter​(java.lang.String name)

    - #### getEnclosingType

          JClassType getEnclosingType()

      Gets the type in which this method or constructor was declared.

    - #### getErasedParameterTypes

          JType[] getErasedParameterTypes()

    - #### getJsniSignature

          java.lang.String getJsniSignature()

      Returns a string containing a JSNI reference to the method.
      Returns:
        `@package.Class::method(Lpackage/Param;...)`

    - #### getName

          java.lang.String getName()

    - #### getParameters

          JParameter[] getParameters()

    - #### getParameterTypes

          JType[] getParameterTypes()

    - #### getReadableDeclaration

          java.lang.String getReadableDeclaration()

    - #### getThrows

          JClassType[] getThrows()

    - #### isAnnotationMethod

          JAnnotationMethod isAnnotationMethod()

    - #### isConstructor

          JConstructor isConstructor()

    - #### isDefaultAccess

          boolean isDefaultAccess()

    - #### isMethod

          JMethod isMethod()

    - #### isPrivate

          boolean isPrivate()

    - #### isProtected

          boolean isProtected()

    - #### isPublic

          boolean isPublic()

    - #### isVarArgs

          boolean isVarArgs()